## org.red5.io.flv.meta
Class Resolver

    java.lang.Object
      org.red5.io.flv.meta.Resolver

All Implemented Interfaces:
  IResolver

    public class Resolver

extends Object
implements IResolver

Metadata resolver implementation, merges metadata objects

Author:
  The Red5 Project (red5@osflash.org), daccattato(daccattato@gmail.com)

Constructor Summary
`Resolver()` Creates resolver object

Method Summary
`IMeta` `resolve(IMeta m1, IMeta m2)` Merges the two Meta objects

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resolver

    public Resolver()

  Creates resolver object

Method Detail

### resolve

    public IMeta resolve(IMeta m1,
                         IMeta m2)

  Merges the two Meta objects

  Specified by:
    `resolve` in interface `IResolver`
  Parameters:
    `m1` - meta 1
    `m2` - meta 2
  Returns:
    IMeta Meta

Copyright © 2006-2010 The Red5 Project